Create payslip

post
https://api.wafeq.com/v1/payslips/

Endpoint for creating a new payslip.

Query Params
string

Comma-separated relationships to expand. Pass journal to replace the journal ID with its object (ID, date, currency, reference, notes and timestamps). Documents without a journal still return null. Journal line items are retrieved separately with GET /v1/journal-line-items/?journal={journal_id}.

Body Params

A payslip recording the pay of an employee.

string | null

The branch associated with this payslip.

stringenumrequired

The currency used for the payslip.

View the enum reference

stringrequired

The employee to whom the payslip belongs.

double | null

The exchange rate to the organization base currency at the time of the document.

stringlength ≤ 255

External identifier for the payslip.

stringenum

The language of the document.

View the enum reference

Allowed:
pay_itemsarray of objectsrequired

The list of pay items included in the payslip.

daterequired

The date when the payslip was issued.

stringrequired

The unique number assigned to the payslip.

stringenumDefaults to DRAFT

The current status of the payslip (draft or posted).

View the enum reference

Allowed:
Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response